import './dual-ring.css';
import React from 'react';
import PropTypes from 'prop-types';
import { clsx } from '../utils';

const DualRing = ({
  className,
  color = '#fff',
  size = 64,
  style,
  thickness = 5
}) => /*#__PURE__*/React.createElement("div", {
  className: clsx('rcs-dual-ring', className),
  style: {
    '--rcs-dual-ring-color': color,
    '--rcs-dual-ring-size': `${size}px`,
    '--rcs-dual-ring-thickness': `${thickness}px`,
    ...style
  }
});

process.env.NODE_ENV !== "production" ? DualRing.propTypes = {
  className: PropTypes.string,
  color: PropTypes.string,
  size: PropTypes.number,
  style: PropTypes.object,
  thickness: PropTypes.number
} : void 0;
export default DualRing;