import './wave.css';
import React from 'react';
import PropTypes from 'prop-types';
import { clsx } from '../utils';

const Wave = ({
  className,
  color = '#fff',
  size = 64,
  style,
  thickness = 12
}) => /*#__PURE__*/React.createElement("div", {
  className: clsx('rcs-wave', className),
  style: {
    '--rcs-wave-color': color,
    '--rcs-wave-size': `${size}px`,
    '--rcs-wave-thickness': `${thickness}px`,
    ...style
  }
}, /*#__PURE__*/React.createElement("div", null), /*#__PURE__*/React.createElement("div", null), /*#__PURE__*/React.createElement("div", null));

process.env.NODE_ENV !== "production" ? Wave.propTypes = {
  className: PropTypes.string,
  color: PropTypes.string,
  size: PropTypes.number,
  style: PropTypes.object,
  thickness: PropTypes.number
} : void 0;
export default Wave;